###################################################
### chunk number 1: load:lib
###################################################
#line 115 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
library(pgs)


###################################################
### chunk number 2: def:plat
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
plat=PPHexLat2(delta=1,n=4)


###################################################
### chunk number 3: print:lat
###################################################
#line 162 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
print(plat)


###################################################
### chunk number 4: plot:plat:1
###################################################
#line 177 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
pdf("plat.pdf",onefile=FALSE,height=1,width=1,pointsize=11)
par(mar=c(1,1,1,1))
par(xaxt="n",yaxt="n")


###################################################
### chunk number 5: plot:plat:2
###################################################
#line 182 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
plot(plat,xlim=c(0,3),ylim=c(0,3),pch="+",cex=0.3)


###################################################
### chunk number 6: plot:plat:3
###################################################
#line 185 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
dev.off()


###################################################
### chunk number 7: def:p3lat
###################################################
#line 200 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
p3lat=PPRectLat3(dx=1,dy=1,dz=1,n=4)


###################################################
### chunk number 8: ex:figlat
###################################################
#line 215 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
plat=FigLat(2,HexLat2(sqrt(3)/2),PP2(n=4,h=1/5))


###################################################
### chunk number 9: area:mse:approx
###################################################
#line 295 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
area.mse(plat,B=1,L=3)


###################################################
### chunk number 10: design
###################################################
#line 313 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
u = latscale(PPHexLat2(n=4),A=1,shape=5,CE.n=0.05,upper=2)
u


###################################################
### chunk number 11: counts
###################################################
#line 346 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
counts = c(5,3,1,4,1,3,4,2,4,5)


###################################################
### chunk number 12: area:pred
###################################################
#line 350 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
areaPred = counts/(4*plat@vlat@det)
areaPred


###################################################
### chunk number 13: var
###################################################
#line 355 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
var(areaPred)


###################################################
### chunk number 14: perimeter
###################################################
#line 365 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
B = 5*sqrt(mean(areaPred))
B


###################################################
### chunk number 15: area:mse
###################################################
#line 373 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
area.mse(plat, B)


###################################################
### chunk number 16: 
###################################################
#line 379 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
var(areaPred)-area.mse(plat, B)


###################################################
### chunk number 17: pplat
###################################################
#line 395 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
pplat=PPRectLat2(1,1,5,0.4)


###################################################
### chunk number 18: data
###################################################
#line 402 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
load("italy_pp_counts.RData")
write.table(pp.counts,row.names=FALSE,col.names=FALSE)


###################################################
### chunk number 19: figlatdata
###################################################
#line 411 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
ppldata=FigLatData(pplat,pp.counts)


###################################################
### chunk number 20: area:mse:est
###################################################
#line 416 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
area.mse.est(ppldata,mse.only=FALSE,iso=TRUE)


###################################################
### chunk number 21: stretch
###################################################
#line 437 "d:/Rcompile/CRANpkg/local/2.12/pgs/inst/doc/pgs_user.Rnw"
area.mse.est(ppldata,mse.only=FALSE,iso=FALSE)


